Bug 127226 - reboot locks without keyboard present
reboot locks without keyboard present
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-04 17:18 EDT by Aleksandar Likic
Modified: 2015-01-04 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:03:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
More info (24.99 KB, text/plain)
2004-07-04 17:44 EDT, Aleksandar Likic
no flags Details

  None (edit)
Description Aleksandar Likic 2004-07-04 17:18:37 EDT
Description of problem:

reboot hangs, showing "Restarting system." in the last line on 
console. It happens when keyboard is not present.

Version-Release number of selected component (if applicable):

kernel-2.6.6-1.435.2.3
kernel-2.6.5-1.358

How reproducible:
always

Steps to Reproduce:
1. reboot with keybard present, it will work.
2. remove the keybard, login through ssh, and reboot. It will work, 
but Kudzu will run during the boot process.
3. Let Kudzu perform automatic system configuration.
4. Upon successfull startup, login through ssh and reboot. The system 
will hang, showing "Restarting system." in the last line on console.
5. Reset button must be pressed to restart the system.
6. Every subsequent "reboot" will hang in the same maner.
7. Plug the keyboard back in, and "reboot" will work fine.
  
Actual results:


Expected results:


Additional info:

Installation was performed for "Server", with X but without KDE or 
Gnome. X is not started - the system boots in console mode.
Comment 1 Aleksandar Likic 2004-07-04 17:44:07 EDT
Created attachment 101624 [details]
More info

Attached is a portion of /var/log/messages with messages from the last boot.
The boot was preformed without the keyboard plugged in, so the first subsequent
"reboot" will hang.

One more thing: The first time "reboot" failed due to BIOS settings; once I
changed BIOS settings to ignore keyboard errors, the boot process controlled by
BIOS passes, but there is this problem.

I have ASUS A78X-MX-SE motherboard, with Phoenix v.6.00PG ACPI BIOS revision
1003
Comment 2 Barry K. Nathan 2004-07-14 05:06:51 EDT
If you boot the kernel with "acpi=off", then does the problem still
happen?
Comment 3 Aleksandar Likic 2004-07-14 20:52:14 EDT
It still doesn't work - I have to press RESET to boot. I turned ACPI 
off by changing my grub.conf to:

default=0
timeout=10
splashimage=(hd0,2)/boot/grub/splash.xpm.gz
title Fedora Core (2.6.6-1.435.2.3)
        root (hd0,2)
        kernel /boot/vmlinuz-2.6.6-1.435.2.3 ro root=/dev/md2 rhgb 
quiet acpi=off
        initrd /boot/initrd-2.6.6-1.435.2.3.img
title Fedora Core (2.6.5-1.358)
        root (hd0,2)
        kernel /boot/vmlinuz-2.6.5-1.358 ro root=/dev/md2 rhgb quiet
        initrd /boot/initrd-2.6.5-1.358.img

Comment 4 Aleksandar Likic 2004-07-14 20:55:17 EDT
/etc/grub.conf in my comment doesn't look correct (copy/paste 
problem). In reality, the critical line "kernel ... acpi=off" is a 
single line, not broken as in the comment.
Comment 5 Ian Collier 2004-08-17 09:46:27 EDT
I've had this problem and several others related to the
i8042 keyboard driver.  Bug 124138 mentions going into
the BIOS and disabling "Legacy USB support", which I think
has fixed most of the problems including this one.
Comment 6 Dave Jones 2005-01-14 00:47:04 EST
is this any better with the 2.6.10 updates ?
Comment 7 Dave Jones 2005-04-16 00:03:40 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.